Bug 695741 - Providing native systemd file
Providing native systemd file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: 389-admin (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-04-12 10:53 EDT by Jóhann B. Guðmundsson
Modified: 2014-05-26 05:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 05:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for dirsrv admin (427 bytes, text/plain)
2011-04-12 10:53 EDT, Jóhann B. Guðmundsson
no flags Details
0002-Bug-695741-Providing-native-systemd-file-for-upcomin.patch (569.94 KB, patch)
2011-04-25 20:57 EDT, Rich Megginson
no flags Details | Diff
389-admin.spec.patch (4.12 KB, patch)
2011-04-25 21:06 EDT, Rich Megginson
no flags Details | Diff
0001-Bug-695741-Providing-native-systemd-file-for-upcomin.patch (50.35 KB, patch)
2011-09-02 17:47 EDT, Rich Megginson
nhosoi: review+
Details | Diff
389-admin.spec.patch (3.25 KB, patch)
2011-09-02 17:48 EDT, Rich Megginson
nhosoi: review+
Details | Diff

  None (edit)
Description Jóhann B. Guðmundsson 2011-04-12 10:53:00 EDT
Created attachment 491506 [details]
Native systemd service file for dirsrv admin

Description of problem:

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rich Megginson 2011-04-20 12:37:34 EDT
For upgrading - 389 packages do not automatically set the run levels - we require the user to do
chkconfig dirsrv on
we provide defaults but the user can override them

If we upgrade from sysVinit to systemd .services, will systemd preserve these run levels?  Or is that simply not applicable to systemd .services?
Comment 2 Jóhann B. Guðmundsson 2011-04-20 17:07:04 EDT
Runlevels dont exist in systemd world and are things of the past and to fully crasp systemd its best to forget the old sysv stuff it's so much more powerful.

The[Install] section in a service file tells which target(s) the service will be activated on bootup if it has been enabled you can for example create an 389DS.target and boot that up with all the services a 389 Directory server should have. 

you should run /usr/bin/systemd-sysv-convert --save $service during upgrades as is mentioned in https://fedoraproject.org/wiki/User:Toshio/Systemd_scriptlet_options however the end user himself must run systemd-sysv-convert --apply $service to apply it.
Comment 3 Rich Megginson 2011-04-25 20:57:46 EDT
Created attachment 494778 [details]
0002-Bug-695741-Providing-native-systemd-file-for-upcomin.patch
Comment 4 Rich Megginson 2011-04-25 21:06:24 EDT
Created attachment 494780 [details]
389-admin.spec.patch
Comment 5 Bill Nottingham 2011-04-26 13:35:35 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 6 Dmitri Pal 2011-04-26 14:13:22 EDT
(In reply to comment #5)
> Moving systemd service RFEs to rawhide.
> 
> At this point, it is not appropriate in the Fedora 15 cycle to add these.
> Furthermore, at this point, we are still finalizing the packaging guidelines to
> handle SysV -> systemd upgrades.
> 
> We therefore request:
> - wait until there are packaging guidelines (this will be announced on the
> devel list). This ensures that upgrades will work smoothly and we/you won't
> have to do multiple sets of changes.
> - work on these sorts of changes for Fedora 16 where necessary, not Fedora 15,
> as we're trying to fix things for release.
> - do *not* change a service from SysV to systemd in an existing release (such
> as Fedora 15), as this is the sort of behavior change that goes against our
> update policy, documented as https://fedoraproject.org/wiki/Updates_Policy

Does this mean that any systemd compatibility mode issues that prevent things from working in a consistent way will be treated as blockers for F15?
Comment 7 Dmitri Pal 2011-04-26 14:14:55 EDT
Like this one https://bugzilla.redhat.com/show_bug.cgi?id=699835
Comment 8 Rich Megginson 2011-04-26 21:20:39 EDT
So for f15, I should just put

SYSTEMCTL_SKIP_REDIRECT=1 ; export SYSTEMCTL_SKIP_REDIRECT

at the beginning of the regular sysv init script and save the other changes I've made for f16.  Works for me.
Comment 10 Rich Megginson 2011-09-02 17:47:08 EDT
Created attachment 521292 [details]
0001-Bug-695741-Providing-native-systemd-file-for-upcomin.patch
Comment 11 Rich Megginson 2011-09-02 17:48:45 EDT
Created attachment 521293 [details]
389-admin.spec.patch
Comment 12 Rich Megginson 2011-09-02 19:31:22 EDT
To ssh://git.fedorahosted.org/git/389/admin.git
   aefc3ed..65e4166  master -> master
commit 65e4166066a3d9be541f5f35f6db3fe997d0a190
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Apr 20 11:04:26 2011 -0600
    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Create a dirsrv-admin.service file for systemd and
    allow it to use /etc/sysconfig/dirsrv-admin for its EnvironmentFile
    When using systemd, have to use the systemctl start command in startServer
    or other systemd commands like status, restart, stop will not work
    Use systemctl to manage directory server instances too.  The old service
    support did not include the directory server too, so that was added.
    Platforms tested: Fedora 16 x86_64
    Flag Day: yes
    Doc impact: yes
Comment 13 Fedora Update System 2011-09-21 15:04:40 EDT
389-admin-1.1.24-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-1.1.24-1.fc16
Comment 14 Fedora Update System 2011-09-24 16:46:33 EDT
Package 389-admin-1.1.24-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-admin-1.1.24-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/389-admin-1.1.24-1.fc16
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2011-10-28 19:42:01 EDT
389-admin-1.1.25-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-1.1.25-1.fc16
Comment 16 Fedora Update System 2012-01-25 11:23:12 EST
389-admin-1.1.26-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-1.1.26-1.fc16
Comment 17 Fedora Update System 2012-02-03 22:07:18 EST
389-admin-1.1.27-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-1.1.27-1.fc16
Comment 18 Fedora Update System 2012-03-22 12:32:30 EDT
389-admin-1.1.28-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-1.1.28-1.fc16
Comment 19 Fedora Update System 2012-03-27 11:19:28 EDT
389-admin-1.1.29-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-admin-1.1.29-1.fc16
Comment 20 Fedora Update System 2012-04-12 07:33:58 EDT
389-admin-1.1.29-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora End Of Life 2013-04-03 16:38:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 22 Jóhann B. Guðmundsson 2014-05-26 05:46:11 EDT
Given that I have left the project and a new individual may or may not continue with systemd integration in the project by submitting new feature following whatever demands FPC and FESCo might have and thus new units in the process I'm closing this and all remaining bugs I had submitted for this particular feature as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.